Bug 608295 - missing summary on Outlook Tasks when read by Evolution
missing summary on Outlook Tasks when read by Evolution
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 13:58 EDT by John D. McCalpin, PhD
Modified: 2010-07-02 03:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-mapi-0.30.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 03:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John D. McCalpin, PhD 2010-06-26 13:58:59 EDT
Description of problem:
When I create a Microsoft Outlook Task on an Exchange 2007 server using the iPhone (OS 3.1.3 (7E18)) "TaskTask" (v2.0.80) application (www.tasktaskonline.com), the task "Subject" is visible when accessing the account via Microsoft Outlook.  However, when accessing the same Exchange 2007 account through Evolution, the task appears with a blank subject line.

Version-Release number of selected component (if applicable):
evolution-2.28.3-1.fc12.x86_64
evolution-help-2.28.3-1.fc12.noarch
evolution-data-server-2.28.3-2.fc12.x86_64
evolution-data-server-devel-2.28.3-2.fc12.x86_64
gnome-python2-evolution-2.28.0-2.fc12.x86_64
evolution-data-server-doc-2.28.3-2.fc12.noarch
evolution-mapi-0.28.3-1.fc12.x86_64
evolution-exchange-2.28.3-1.fc12.x86_64


How reproducible:
100% in my case.


Steps to Reproduce:
1. Create a task in an Exchange 2007 account using the TaskTask iPhone app
2. Verify that the task shows up correctly when the Exchange 2007 account is accessed via Microsoft Outlook
3. Connect to the Exchange 2007 server using Evolution and select the "Tasks" button
  
Actual results:
When viewed via Evolution, the new tasks have blank subject lines.
Their start and end dates are also typically "off by one" -- perhaps a UTC vs local time mismatch?


Expected results:
New tasks should have the originally assigned subject line -- as they do when accessed via Microsoft Outlook.


Additional info:
I have only seen this with the iPhone "TaskTask" application, but I am still learning how to search the bugzilla database, so it is possible that this has been seen in other circumstances.
Comment 1 Milan Crha 2010-06-28 06:26:07 EDT
Thanks for a bug report. The above URL (ttp://www.tasktaskonline.com) doesn't work for me for some reason, and the ping on it is also quite strange. I see repeating responses like this:
> 64 bytes from a96-16-20-59.deploy.akamaitechnologies.com (96.16.20.59):
>    icmp_seq=6 ttl=54 time=146 ms
> From Te2-4.1101.ar2.CHI1.gblx.net (64.211.166.125) icmp_seq=7 Time to live
>    exceeded

Anyway, looking into the code, I see that your 0.28.3 is using PR_SUBJECT, whereas the actual evolution-mapi version in Fedora 13 is using PR_SUBJECT_UNICODE, which means the newer version is fetching proper value even when it contains any UTF8 letter.

Could you try with evolution-mapi included in Fedora 13, please?
Comment 2 John D. McCalpin, PhD 2010-07-01 16:22:29 EDT
Upgrading to FC13 and its current (2010-06-30) versions of evolution and evolution-mapi fixes this issue.

Initially the proper "Subject" only appear for new tasks that I created, but then I exited evolution, deleted the tasks cache (~/.evolution/cache/tasks/[myexchangeid]/cache.xml) and restarted evolution.  It then re-downloaded all the tasks from the Exchange 2007 server and they all showed correct "Subject" lines.

There are a number of other synchronization issues (completion status, dates, and categories), but those are other bugs.  This one is fixed in FC13 -- dunno what the proper status is for this category.
Comment 3 Milan Crha 2010-07-02 03:54:30 EDT
(In reply to comment #2)
> Upgrading to FC13 and its current (2010-06-30) versions of evolution and
> evolution-mapi fixes this issue.

Thanks for the update, good it works for you.

> There are a number of other synchronization issues (completion status, dates,
> and categories), but those are other bugs.  This one is fixed in FC13 -- dunno
> what the proper status is for this category.    

Yup, that's right, All that requires an update of OpenChange, preferably 0.10, but it is waiting on samba4 release, which is in an unknown state.

Note You need to log in before you can comment on or make changes to this bug.